<?php

namespace Controller;

use Model\ModelAdmin;

class ControllerAdmin
{
    public function addQuestion(): void

    {
        global $rep, $views;

        $idQuestion = (new ModelAdmin())->addQuestion();
        $categories = (new ModelAdmin())->getCategories();
        $questionContent = $_POST['question'];
        $type = $_POST['type'];

        if(strcmp($type, "BusinessClass\TextQuestion") == 0)
        {
            $this->goToAdminPage();
        }
        else
        {
            require_once($rep.$views['possibleResponsesForm']);
        }


    }
    public function addResponse(): void
    {
        (new ModelAdmin())->addResponse();

        global $rep, $views;
        $idQuestion = $_POST['idQuestion'];
        $categories = (new ModelAdmin())->getCategories();
        $questionContent = $_POST['question'];
        $type = $_POST['type'];
        require_once($rep.$views['continue']);
    }

    public function continueResponse(): void
    {
        global $rep, $views;

        $choose = $_POST['choose'];
        if($choose == "Oui") {
            $idQuestion = $_POST['idQuestion'];
            $categories = (new ModelAdmin())->getCategories();
            $questionContent = $_POST['question'];
            $type = $_POST['type'];
            require_once($rep.$views['possibleResponsesForm']);
        }
        else {
            $this->goToAdminPage();
        }
    }

    public function createForm(): void
    {
        (new ModelAdmin())->createForm();
    }

    public function goToAdminPage(): void
    {
        global $rep, $views;

        $categories = (new ModelAdmin())->getCategories();
        $questions = (new ModelAdmin())->getQuestions();

        require_once($rep.$views['admin']);
    }

    public function addKeyword(): void
    {
        (new ModelAdmin())->addKeyword();
    }
}
